<!DOCTYPE html>
<html>
    <head>
        <title>Consume Rest</title>
        <style>
            #topic{
                background-color: antiquewhite;
                color: brown;
                padding: 
                    
            }
        </style>
    </head>
    <body>
        <div id ='topic'>Firstname : </div>
        <form method="post"></form>
        <p id= 'title'>Lastname : </p>
        <button onclick="getTopic()">Get Contact</button>
        <script>
            function getTopic()
            {
              var xhttp = new XMLHttpRequest();
              xhttp.onreadystatechange = function() {
                if (this.readyState == 4 && this.status == 200) {
                    console.log('success')
                    console.log(typeof(this.responseText))
                    console.log(this.responseText)
                    var data = JSON.parse(this.responseText);
                    console.log(data[0])
                    document.getElementById("topic").innerHTML = "<h1> Name "+data[0].aname+"</h1>"
                    document.getElementById("title").innerHTML = "<h1> City "+data[0].city+"</h1>"

                }
                  else{
                      console.log('error')
                      console.log(this.status)
                      console.log(this.responseText)
                  }
              };
                var data = {
                        "pid": 5,
                        "pname": "Harry Potter",
                        "price": 822
                    }
                //console.log(data.pname)
              xhttp.open("GET", "http://localhost:8081/authors", true);
            xhttp.setRequestHeader("Accept","application/json");
             // xhttp.send(JSON.stringify(data));
                xhttp.send();
                
            }
        </script>
    </body>
    
</html>